Bug 1314244 - RFE: virt-p2v log window should process colour escapes and backspaces
RFE: virt-p2v log window should process colour escapes and backspaces
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.3
x86_64 Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
P2V
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 04:36 EST by xiaodwan
Modified: 2016-11-03 13:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.32.5-6.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:59:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (86.76 KB, image/png)
2016-03-03 04:37 EST, xiaodwan
no flags Details
virt-p2v-1.32.5-5.el7 (33.00 KB, image/png)
2016-06-22 04:23 EDT, mxie@redhat.com
no flags Details

  None (edit)
Description xiaodwan 2016-03-03 04:36:18 EST
Description of problem:
Some messy code display at the beginning of virt-p2v log window

Version-Release number of selected component (if applicable):
# rpm -q libguestfs virt-v2v virt-p2v
libguestfs-1.32.3-1.el7.x86_64
virt-v2v-1.32.3-1.el7.x86_64
virt-p2v-1.28.1-1.51.4.el7.iso

How reproducible:
100%

Steps to Reproduce:
1. Launch virt-p2v boot GUI via iso or virt-p2v pxe image.
2. Use virt-p2v to convert a host
3. See the logs in virt-p2v window.

Actual results:
There are some messy code at the beginning of the log. You can see the attachment pictures.

Expected results:
There should be no messy code.

Additional info:
Comment 1 xiaodwan 2016-03-03 04:37 EST
Created attachment 1132701 [details]
screen shot
Comment 3 Richard W.M. Jones 2016-03-03 07:46:28 EST
Yup.  The log window is kind of messy and doesn't "process" colour escape
sequences or backspaces (in this example).  I tried to fix this a while
back but it wasn't that simple.
Comment 4 Richard W.M. Jones 2016-06-18 11:10:05 EDT
Patches posted:
https://www.redhat.com/archives/libguestfs/2016-June/msg00112.html
Comment 6 mxie@redhat.com 2016-06-22 04:22:55 EDT
I can reproduce the bug with build:
virt-p2v-1.28.1-1.51.4.el7.iso

Try to verify the bug with build:
virt-p2v-1.32.5-5.el7

Steps 
1. Launch virt-p2v boot GUI via iso 
2. Input conversion server info and click next
3. Input conversion info for host and then click start conversion


Result now:
There are still little messy code at the beginning of the log, pls refer to screeshot'virt-p2v-1.32.5-5.el7'


Hi rjones

Could you help to check this problem,thanks
Comment 7 mxie@redhat.com 2016-06-22 04:23 EDT
Created attachment 1170625 [details]
virt-p2v-1.32.5-5.el7
Comment 8 Richard W.M. Jones 2016-06-22 05:05:04 EDT
Yup, that's not supposed to happen.  I didn't see it in my own testing.
Comment 9 Richard W.M. Jones 2016-06-22 05:50:07 EDT
OK this is caused because you have a readline setting

  set horizontal-scroll-mode on

probably in /root/.inputrc or /etc/inputrc.  The solution is to turn
that setting off.  See also: http://superuser.com/a/862341

There's apparently no way to get bash to ignore this file or to turn
off the setting at runtime, so there's no real way to fix it from virt-p2v.
Comment 10 Richard W.M. Jones 2016-06-23 06:35:21 EDT
(In reply to Richard W.M. Jones from comment #9)
> OK this is caused because you have a readline setting
> 
>   set horizontal-scroll-mode on
> 
> probably in /root/.inputrc or /etc/inputrc.  The solution is to turn
> that setting off.  See also: http://superuser.com/a/862341
> 
> There's apparently no way to get bash to ignore this file or to turn
> off the setting at runtime, so there's no real way to fix it from virt-p2v.

This issue is possibly fixed by:
https://github.com/libguestfs/libguestfs/commit/d41cf142e1eb285eca798889d3b6a955afffbe32

However there are still some cases where the final virt-v2v-wrapper
command gets echoed back into the messages output.
Comment 11 mxie@redhat.com 2016-06-24 02:46:16 EDT
Try to verify the bug with build
libguestfs-1.32.5-6.el7

Steps 
1. Launch virt-p2v boot GUI via iso 
2. Input conversion server info and click next
3. Input conversion info for host and then click start conversion


Result now:
There is no messy code at the beginning of the log

So move the bug from ON_QA to VERIFIED
Comment 12 mxie@redhat.com 2016-06-24 02:48:24 EDT
Sorry, forgot to add p2v version in build, verify the bug with build:
virt-p2v-1.32.5-6.el7
Comment 16 errata-xmlrpc 2016-11-03 13:59:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.